ezmlm-issubn(1)

NAME
ezmlm-checksub - reject senders not subscribed to a mailing list

SYNOPSIS
ezmlm-checksub [ -nN ] [ -m MESSAGE ] dir [ subdir1 ... ]

DESCRIPTION
ezmlm-checksub checks to see if the address obtained from the environment variable SENDER is subscribed to the mailing list stored in dir/subdir1 or the mailing list in dir/subdir2 or ... If SENDER is not defined ezmlm-checksub exits with an error. If -N is set (the default) and SENDER is not on any of the mailing lists, ezmlm-checksub outputs the message named TXT_ONLY_SUBSCRIBERS and exits 100, indicating a permanent failure to qmail. If -n is set and SENDER is on any of the mailing lists, ezmlm-checksub outputs the message named TXT_REJECT_POSTS and exits 100. Otherwise, ezmlm-checksub exits with a zero exit code (success). If subdir1 (or more) are present on the command line and are relative paths, ezmlm-checksub only examines the named subdirectories within the absolute path dir. ezmlm-checksub exits 111 on errors.

OPTIONS

-m MESSAGE
    Use MESSAGE in place of either the message named TXT_ONLY_SUBSCRIBERS or TXT_REJECT_POSTS in rejections.

-n  Negative operation: ensure the sender is not a subscriber. This is useful when trying to exclude SENDERs.

-N  (Default.) Normal operation: ensure if the sender is a subscriber.

SEE ALSO
ezmlm-issubn(1), ezmlm-list(1), ezmlm-manage(1), ezmlm-make(1), ezmlm-send(1), ezmlm-sub(1), ezmlm-unsub(1), ezmlm(5)